twitter4j

## Interface CursorSupport

All Known Subinterfaces:
  IDs, PagableResponseList<T>

    public interface CursorSupport

Author:
  Yusuke Yamamoto - yusuke at mac.com

### Field Summary

Fields
`static long` `START`

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `getNextCursor()`
`long` `getPreviousCursor()`
`boolean` `hasNext()`
`boolean` `hasPrevious()`

### Field Detail

#### START

    static final long START

Since:
  Twitter4J 2.2.3
See Also:
  Constant Field Values

### Method Detail

#### hasPrevious

    boolean hasPrevious()

Returns:
  has previous page
Since:
  Twitter4J 2.0.10

#### getPreviousCursor

    long getPreviousCursor()

Returns:
  previous cursor
Since:
  Twitter4J 2.0.10

#### hasNext

    boolean hasNext()

Returns:
  has next
Since:
  Twitter4J 2.0.10

#### getNextCursor

    long getNextCursor()

Returns:
  next cursor
Since:
  Twitter4J 2.0.10